Update account onboarding
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/onboarding \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>",
"locale": "<string>",
"industry": "<string>",
"company_size": "<string>",
"timezone": "<string>",
"use_case": "<string>",
"user_role": "<string>",
"website": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
locale: '<string>',
industry: '<string>',
company_size: '<string>',
timezone: '<string>',
use_case: '<string>',
user_role: '<string>',
website: '<string>'
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/onboarding"
payload = {
"name": "<string>",
"locale": "<string>",
"industry": "<string>",
"company_size": "<string>",
"timezone": "<string>",
"use_case": "<string>",
"user_role": "<string>",
"website": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"locale": "<string>",
"domain": "<string>",
"support_email": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"cache_keys": {},
"features": {},
"settings": {
"auto_resolve_after": 123,
"auto_resolve_message": "<string>",
"auto_resolve_ignore_waiting": true
},
"custom_attributes": {},
"subscribed_features": [
"<string>"
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Onboarding
Update account onboarding
Administrator-only onboarding step. Updates account name, locale and custom attributes (industry, company_size, timezone, use_case, user_role, website).
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
onboarding
Update account onboarding
curl --request PATCH \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/onboarding \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"name": "<string>",
"locale": "<string>",
"industry": "<string>",
"company_size": "<string>",
"timezone": "<string>",
"use_case": "<string>",
"user_role": "<string>",
"website": "<string>"
}
'const options = {
method: 'PATCH',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
locale: '<string>',
industry: '<string>',
company_size: '<string>',
timezone: '<string>',
use_case: '<string>',
user_role: '<string>',
website: '<string>'
})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/onboarding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/onboarding"
payload = {
"name": "<string>",
"locale": "<string>",
"industry": "<string>",
"company_size": "<string>",
"timezone": "<string>",
"use_case": "<string>",
"user_role": "<string>",
"website": "<string>"
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"locale": "<string>",
"domain": "<string>",
"support_email": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"cache_keys": {},
"features": {},
"settings": {
"auto_resolve_after": 123,
"auto_resolve_message": "<string>",
"auto_resolve_ignore_waiting": true
},
"custom_attributes": {},
"subscribed_features": [
"<string>"
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
Body
application/json
Response
Success
Account ID
Name of the account
The locale of the account
The domain of the account
The support email of the account
The status of the account
The creation date of the account
Cache keys for the account
Enabled features for the account (object map in API responses)
Account settings
Show child attributes
Show child attributes
Custom attributes of the account
List of subscribed enterprise features (if enterprise edition is enabled)